Changes between Initial Version and Version 5 of Ticket #13357


Ignore:
Timestamp:
08/14/12 10:24:54 (9 years ago)
Author:
jdemeyer
Comment:

I updated the description (both in SPKG.txt and in the ticket). Is it more clear now what the package does?

Legend:

Unmodified
Added
Removed
Modified
  • Ticket #13357

    • Property Status changed from new to needs_review
  • Ticket #13357 – Description

    initial v5  
    66
    77This package contains a recent version of GNU m4 and help2man.
    8 It contains the full git repository of autoconf, automake and libtool.
     8It contains the git repository of autoconf, automake and libtool.
    99
    1010For the latter 3 packages (commonly referred to as "autotools"),
    11 several different versions are installed. Then wrapper scripts are made
    12 in $SAGE_LOCAL/bin which call the "correct" version. This means that,
    13 if a file "configure" already exists, the same autoconf version is run
    14 which created the original file.
     11many different versions are installed, by checking out the versions
     12from the git repo and building/installing them separately. Since the
     13complete git repository is shipped in the spkg, this does not require
     14internet access.
    1515
    1616For m4 and help2man, just one version is installed. This is because
    1717they are prerequisites for autotools. Even though m4 is already a
    18 prerequisite of Sage, autoconf requires an up-to-date version of m4.
     18prerequisite of Sage, autoconf requires an up-to-date version of GNU m4.
     19
     20The package makes wrapper scripts in $SAGE_LOCAL/bin for the various
     21autotools, which call the "correct" version. This means that, if a file
     22"configure" already exists in the current directory, the same autoconf
     23version is run which created the original file. Otherwise, the latest
     24version is run. The goal of all this is to make it easier to patch
     25configure.ac or Makefile.am files inside a spkg. By using the same
     26version of autotools as originally used, the patch files should be
     27relatively small.
    1928
    2029== License ==